<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { ref } from 'vue'
import type { VForm } from 'vuetify/components'
const authStore = useAuthStore()
const refForm = ref<VForm | null>(null)
const form = ref(false)
const email = ref('test')
const password = ref('1111')
const visible = ref(false)
const required = (v: string) => {
  return !!v || 'Field is required'
}
const onSubmit = async () => {
  const { valid } = await refForm.value!.validate()
  if (!valid) return
  authStore.login(email.value, password.value)
}
</script>
<template>
  <v-card class="mx-auto pa-12 pb-8" elevation="10" max-width="448" rounded="lg">
    <v-img src="\src\assets\DcoffeeLogo.png" height="150"></v-img>
    <div style="font-weight: bolder; font-size: 30px; text-align: center">D-Coffee</div>
    <br />
    <div class="text-subtitle-1 text-medium-emphasis">Email</div>
    <v-form ref="refForm" v-model="form" @submit.prevent="onSubmit">
      <v-text-field
        v-model="email"
        :rules="[required]"
        density="compact"
        placeholder="User"
        prepend-inner-icon="mdi-account"
        variant="outlined"
      ></v-text-field>
      <div class="text-subtitle-1 text-medium-emphasis">Password</div>
      <v-text-field
        v-model="password"
        :append-inner-icon="visible ? 'mdi-eye-off' : 'mdi-eye'"
        :type="visible ? 'text' : 'password'"
        density="compact"
        placeholder="Enter your password"
        prepend-inner-icon="mdi-lock-outline"
        variant="outlined"
        :rules="[(v) => !!v || 'Field is required']"
        @click:append-inner="visible = !visible"
      ></v-text-field>
      <v-card class="mb-8" color="surface-variant" variant="tonal">
        <v-card-text class="text-medium-emphasis text-caption" style="text-align: center">
          หากลืม Email หรือ Password โปรดแจ้งผู้จัดการ
        </v-card-text>
      </v-card>

      <br />

      <v-btn :disabled="!form" block color="success" size="large" type="submit" variant="elevated">
        Sign In
      </v-btn>
    </v-form>
  </v-card>
</template>
